Name:           wavbreaker
Version:        0.13
Release:        %mkrel 2
Summary:        Gtk+ program to split WAV files between songs
License:        GPLv2+
Group:          Sound/Editors and Converters
URL:            http://wavbreaker.sf.net/
Source0:        https://github.com/thp/%{name}/archive/%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gtk+3-devel
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pulseaudio-devel
Recommends:     gstreamer1.0-moodbar

%description
This application's purpose in life is to take a wave file and break it up into
multiple wave files.  It makes a clean break at the correct position to burn
the files to an audio cd without any dead air between the tracks.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %name

%files -f %name.lang
%doc AUTHORS README.md
%license COPYING
%_bindir/wavbreaker
%_bindir/wavgen
%_bindir/wavinfo
%_bindir/wavmerge
%_datadir/applications/net.sourceforge.wavbreaker.desktop
%_iconsdir/hicolor/scalable/apps/net.sourceforge.%name.svg
%_mandir/man1/wavbreaker.1.xz
%_mandir/man1/wavinfo.1.xz
%_mandir/man1/wavmerge.1.xz


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.13-2.mga8
+ Revision: 1538588
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 zezinho <zezinho> 0.13-1.mga8
+ Revision: 1462474
- new version 0.13

* Sun Nov 17 2019 zezinho <zezinho> 0.12-1.mga8
+ Revision: 1461569
- switch to meson
- new gtk3 version

* Sat Nov 02 2019 zezinho <zezinho> 0.11-11.mga8
+ Revision: 1457283
- fix moodbar generation with gstreamer1.0

* Sun Sep 23 2018 umeabot <umeabot> 0.11-10.mga7
+ Revision: 1301654
- Mageia 7 Mass Rebuild

* Tue Jul 10 2018 wally <wally> 0.11-9.mga7
+ Revision: 1242966
- fix build on aarch64
- use new make macros

* Wed Mar 01 2017 ghibo <ghibo> 0.11-8.mga6
+ Revision: 1088243
- Rebuilt against pulseaudio 10

* Fri Feb 05 2016 umeabot <umeabot> 0.11-7.mga6
+ Revision: 938884
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 750838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 690276
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 520071
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11-3.mga3
+ Revision: 385641
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 0.11-2.mga3
+ Revision: 321834
- update rpm group

* Wed Feb 15 2012 obgr_seneca <obgr_seneca> 0.11-1.mga2
+ Revision: 209367
- new version 0.11

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 0.10-4.mga1
+ Revision: 82338
- cleaned up spec
- removed buildroot tag
- imported package wavbreaker


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-3mdv2011.0
+ Revision: 615433
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Jérôme Brenier <incubusss@mandriva.org> 0.10-2mdv2010.1
+ Revision: 473422
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Nov 02 2008 Funda Wang <fwang@mandriva.org> 0.10-1mdv2009.1
+ Revision: 299262
- New version 0.10

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.9-4mdv2009.0
+ Revision: 261920
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.9-3mdv2009.0
+ Revision: 255834
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.1
+ Revision: 173685
- Changes from Jos?\195?\169 Jorge (lists.jjorge@free.fr):
- new version
- fix URL
- suggest moodbar

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Austin Acton <austin@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 28512
- new version
- add man page
- compy with XDG menu and FDO icons
- Import wavbreaker



* Fri Feb 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.1-3mdk
- fix build on x86_64

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix BuildRequires
- %%mkrel 

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.6.1-1mdk
- New release 0.6.1

* Tue Jul 13 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5

* Fri Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- 0.4

* Fri Jun 27 2003 David Walser <luigiwalser@yahoo.com> 0.3-1mdk
- initial package
